Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## Package javax.jcr.nodetype

Content Repository API for Java (JCR 1.0) node types

See:
Description

Interface Summary
ItemDefinition: Superinterface of `NodeDefinition` and `PropertyDefinition`.
NodeDefinition: A node definition.
NodeType: Represents a node type.
NodeTypeIterator: An iterator for `NodeType` objects.
NodeTypeManager: Allows for the retrieval of node types.
PropertyDefinition: A property definition.

Exception Summary
ConstraintViolationException: Exception thrown when an action would violate a constraint on repository structure.
NoSuchNodeTypeException: Exception thrown by node type-related methods.

## Package javax.jcr.nodetype Description

Content Repository API for Java (JCR 1.0) node types

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.